## net.sourceforge.pmd.jaxen
Class Attribute

    java.lang.Object
      net.sourceforge.pmd.jaxen.Attribute

public class Attribute
extends java.lang.Object

Author:
  daniels

Constructor Summary
`Attribute(Node parent, java.lang.String name, java.lang.reflect.Method m)`

Method Summary
`java.lang.String` `getName()`
`Node` `getParent()`
`java.lang.String` `getValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(Node parent,
                     java.lang.String name,
                     java.lang.reflect.Method m)

Method Detail

### getValue

    public java.lang.String getValue()

### getName

    public java.lang.String getName()

### getParent

    public Node getParent()

### toString

    public java.lang.String toString()

Copyright © 2002-2006 InfoEther. All Rights Reserved.